Bug 27886 - Authority linking broken in advanced editor
Summary: Authority linking broken in advanced editor
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: Manual, regression
Depends on: 11299
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-05 18:51 UTC by Owen Leonard
Modified: 2021-03-12 08:02 UTC (History)
30 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27886: Move non-rancor code into correct section (3.27 KB, patch)
2021-03-06 16:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27886: Move non-rancor code into correct section (3.31 KB, patch)
2021-03-06 20:47 UTC, David Nind
Details | Diff | Splinter Review
Bug 27886: Move non-rancor code into correct section (3.37 KB, patch)
2021-03-07 12:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-05 18:51:23 UTC
In the advanced MARC editor, the keyboard shortcut Ctrl-Shift-L triggers a popup where you can search for an authority record. Select a result from that window doesn't work to populate the field in the editor. The pop-up window which uses blinddetail-biblio-search.tt triggers a JavaScript error and never closes.

git bisect blames Bug 11299
Comment 1 Katrin Fischer 2021-03-06 12:46:37 UTC
I can confirm the broken behaviour.
Comment 2 Nick Clemens 2021-03-06 16:06:08 UTC
Created attachment 117886 [details] [review]
Bug 27886: Move non-rancor code into correct section

The template was including code that was not compatible with Rancor, moving
the end of the conditional seems to fix the error

To test:
1 - Open a record in the advanced catalog editor
2 - Create or edit a 100 field with some content, I used 'bruce'
3 - Press Ctrl+shift+l to launch authority search
4 - Perform a search and select an authority
5 - Note the field copies but the pop-ups don't close
6 - Apply patch
7 - Reload the page
8 - Repeat 1-4
9 - The field copies and the windows close
Comment 3 David Nind 2021-03-06 20:47:28 UTC
Created attachment 117887 [details] [review]
Bug 27886: Move non-rancor code into correct section

The template was including code that was not compatible with Rancor, moving
the end of the conditional seems to fix the error

To test:
1 - Open a record in the advanced catalog editor
2 - Create or edit a 100 field with some content, I used 'bruce'
3 - Press Ctrl+shift+l to launch authority search
4 - Perform a search and select an authority
5 - Note the field copies but the pop-ups don't close
6 - Apply patch
7 - Reload the page
8 - Repeat 1-4
9 - The field copies and the windows close

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2021-03-07 12:37:02 UTC
Created attachment 117889 [details] [review]
Bug 27886: Move non-rancor code into correct section

The template was including code that was not compatible with Rancor, moving
the end of the conditional seems to fix the error

To test:
1 - Open a record in the advanced catalog editor
2 - Create or edit a 100 field with some content, I used 'bruce'
3 - Press Ctrl+shift+l to launch authority search
4 - Perform a search and select an authority
5 - Note the field copies but the pop-ups don't close
6 - Apply patch
7 - Reload the page
8 - Repeat 1-4
9 - The field copies and the windows close

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-03-08 14:17:44 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-03-12 08:02:43 UTC
Depends on Bug 11299 not in 20.11.x